# swoole_mysql->commit

提交事务。
```php
function swoole_mysql->commit(callable $callback);
```

* 提交事务，当服务器返回响应时回调此函数
* 必须先调用`begin`启动事务才能调用`commit`否则底层会抛出`Swoole\MySQL\Exception`异常
* 异常`code`为`22`

> 在`1.9.15`或更高版本可用

使用实例
-----

```php
$db->begin(function( $db, $result) {
	$db->query("update userinfo set level = 22 where id = 1", function($db, $result) {
		$db->commit(function($db, $result){
			echo "commit ok\n";
		});
	});
});
```